Transactions API

Transactions API is an API which provides a list of all user's gameplay transactions, including their status and unique transaction IDs, which are crucial for processing transactions as well as troubleshooting any issues during gameplays.


Get user's gameplay transactions

post

Allows retrieval of a list of gameplay transactions. The list can be filtered by datetime fields (start_time and end_time) or by round. At least one of these filters must be included for the request to be valid.

Header parameters
X-Hub88-SignaturestringRequired

RSA-SHA256 is used to sign the request body using the private key. The signature is validated using the public key associated with the provided operator_id.

Body
userstringOptional
sub_partner_idstringOptional

ID of Operator's sub-partner (brand, whitelabel, site, etc.) which uses same integration and credentials as an Operator. Used for detailed reporting and integration type switching. Sites under the same Operator can use different integration types: TransferWallet or SeamlessWallet. A single site (sub_partner_id) can NOT have both kinds of integration at the same time.

Example: my-casino-id
start_timestring · ISO-8601Optional

The date and time combination in ISO 8601 Extended format (YYYY-MM-DDThh:mm:ss).

Example: 2017-11-05T13:15:30
operator_idintegerRequired

Unique identifier for the Operator in Hub88 system. Used to authorize incoming requests. You can obtain your operator_id from the Hub88 BackOffice after your Operator entity is registered and set up in the Hub88 system by the internal teams.

Example: 1
end_timestring · ISO-8601Optional

The date and time combination in ISO 8601 Extended format (YYYY-MM-DDThh:mm:ss).

Example: 2017-11-05T13:15:30
currencystring · enumOptional

The ISO 4217 currency code. The following list contains all currencies supported by our system. Note that native gameplay support for these currencies may vary per Provider. Please contact us to know which Provider supports which currencies.

Example: EURPossible values:
roundstringOptional

Allows to specify the round for which transactions data and list is needed. Value for a round must be added when end_time and start_time aren't specified. Values can be either string or null.

Example: JB007
Responses
chevron-right
200

OK

application/json

Hub88 transaction item

userstringRequired
transaction_uuidstringRequired

The unique transaction identifier. An ID of business logic action (transaction) that needs to be stored on both sides for at least 4 months (for reconciliation purposes). Operator has to respond on each transaction_uuid. An action with same transaction_uuid shouldn't be processed more than once.

Example: 16d2dcfe-b89e-11e7-854a-58404eea6d16
statusstring · enumRequired

The Hub88 transaction status. TS_SUCCESS - Transaction completed successfully. TS_DECLINED - Transaction was declined by Operator due to error or logical response. TS_RETRY_ATTEMPTS_LIMIT_EXCEEDED - Transaction was in retry state and was terminated due to exceeding limit of attempts. Transaction was not finished successfully. TS_ROLLEDBACK - Transaction was rolled back by successful transaction of TK_ROLLBACK kind.

Example: TS_SUCCESSPossible values:
roundstringRequired

The game round ID used to relate all bets and wins made in one round. All transactions related to the same round have the same value in this field. The ID is not unique through whole system. The value depends on provider’s RGS logic, as it is created from game + user + round combination, resulting in uniqueness. The value can be null or omitted.

Example: JB007
round_closedbooleanOptional

Denotes when the round is closed. Can be null.

Example: true
reference_transaction_uuidstringRequired

Unique identifier of the transaction that this transaction is referencing. In case of a rollback, this field will contain transaction_uuid of the transaction which needs to be rolled back. In case of a win, there will be transaction_uuid of the bet to which this win is related to.

Example: 16d2dcfe-b89e-11e7-854a-58404eea6d16
kindstring · enumRequired

The type of the transaction in Hub88. TK_BET - bet/stake/debit. TK_WIN - win/credit/deposit. TK_ROLLBACK - rollback/cancel of any of other two types (TK_BET or TK_WIN).

Example: TK_BETPossible values:
inserted_atstring · ISO-8601Required

The date and time combination in ISO 8601 Extended format (YYYY-MM-DDThh:mm:ss).

Example: 2017-11-05T13:15:30
idintegerRequired
game_codestringRequired

The unique game identifier in Hub88 system in the form of a string. game_code can be obtained from the /game/list endpoint.

Example: clt_dragonrising
currencystring · enumRequired

The ISO 4217 currency code. The following list contains all currencies supported by our system. Note that native gameplay support for these currencies may vary per Provider. Please contact us to know which Provider supports which currencies.

Example: EURPossible values:
amountintegerRequired

The amount of money displayed in integer (Int64) format. To convert real float value to integer, it is multiplied by 100000. Example: $3.56 is represented as 356000

Example: 100500
post
/operator/generic/v2/transactions/list
200

OK

Last updated

Was this helpful?